From: Evan Broder <broder@mit.edu>
Date: Wed, 29 Oct 2008 02:53:29 +0000 (-0400)
Subject: Cleanup invirt-vnc-server's init script to use /lib/init/std-init.sh
X-Git-Tag: 0.0.2~2
X-Git-Url: http://xvm.mit.edu/gitweb/invirt/packages/invirt-vnc-server.git/commitdiff_plain/115d1b8e6398ba73ce5793074f78d8f0b129c483

Cleanup invirt-vnc-server's init script to use /lib/init/std-init.sh

svn path=/trunk/packages/invirt-vnc-server/; revision=1399
---

diff --git a/debian/changelog b/debian/changelog
index 3fbac8d..8d9a6b1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+invirt-vnc-server (0.0.2) unstable; urgency=low
+
+  * Cleanup the init script to use /lib/init/std-init.sh
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 20:48:38 -0400
+
 invirt-vnc-server (0.0.1) unstable; urgency=low
 
   * sipb-xen-vnc-server -> invirt-vnc-server
diff --git a/debian/invirt-vnc-server.init b/debian/invirt-vnc-server.init
index 67fbe89..a096c57 100644
--- a/debian/invirt-vnc-server.init
+++ b/debian/invirt-vnc-server.init
@@ -14,9 +14,8 @@
 # Do NOT "set -e"
 
 # PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
+PACKAGE=invirt-vnc-server
 DESC="The Invirt VNC Proxy Server"
-NAME=invirt-vnc-server
 DAEMON=/usr/sbin/invirt-vnc-server
 DAEMON_ARGS=""
 PIDFILE=/var/run/$NAME.pid
@@ -25,15 +24,7 @@ SCRIPTNAME=/etc/init.d/$NAME
 # Exit if the package is not installed
 [ -x "$DAEMON" ] || exit 0
 
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
+. /lib/init/std-init.sh
 
 #
 # Function that starts the daemon/service
@@ -45,7 +36,7 @@ do_start()
 	#   1 if daemon was already running
 	#   2 if daemon could not be started
 	daemon --running -n $NAME && return 1
-	daemon -r -U -D "$(dirname $DAEMON)" -O daemon.info -E daemon.err -n $NAME -U $DAEMON $DAEMON_ARGS || return 2
+	daemon -r -U -O daemon.info -E daemon.err -n $NAME -U $DAEMON $DAEMON_ARGS || return 2
 }
 
 #
@@ -66,59 +57,4 @@ do_stop()
 	return "$RETVAL"
 }
 
-case "$1" in
-  start)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-	do_start
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:
+std_init "$1"